Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78733 - PyGTK 0.6.x is not installable
Summary: PyGTK 0.6.x is not installable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pygtk2
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-28 13:41 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version: 1.99.14-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-20 04:30:06 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-28 13:41:08 UTC
It's not possible to have both PyGTK 0.6.x and 1.99.x installed at the same time.

It's fixed in PyGTK 1.99.13 (and 0.6.11) by the helper module pygtk.

So instead of doing:
import gtk
Everyone should do:
import pygtk
pygtk.require('2.0') # or 1.2
import gtk

And it will not break old apps, since pygtk installs a .pth file which will add
the old path to the python path.

It's very important that this bug gets fixed ASAP, because all old applications
using PyGTK 0.6.x are broken without PyGTK 1.99.13.

Comment 1 Matt Wilson 2003-05-20 04:30:06 UTC
RHL 9 has 1.99.14



Note You need to log in before you can comment on or make changes to this bug.